Package ch.qos.logback.core.sift

## Interface Discriminator<E>

Type Parameters:
  `E` -

All Superinterfaces:
  `LifeCycle`

All Known Implementing Classes:
  `AbstractDiscriminator`, `AccessEventDiscriminator`, `ContextBasedDiscriminator`, `DefaultDiscriminator`, `JNDIBasedContextDiscriminator`, `MDCBasedDiscriminator`

    public interface Discriminator<E>
    extends LifeCycle

Implement this interface in order to compute a discriminating value for a given event of type <E>.

The returned value can depend on any data available at the time of the call, including data contained within the currently running thread.

Author:
  Ceki Gülcü

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDiscriminatingValue​(E e)` Given event 'e' return a discriminating value.
`java.lang.String` `getKey()` The key or variable name under which the discriminating value should be exported into the host environment.

### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

`isStarted, start, stop`

### Method Detail

#### getDiscriminatingValue

    java.lang.String getDiscriminatingValue​(E e)

Given event 'e' return a discriminating value.

Parameters:
  `e` -
Returns:

#### getKey

    java.lang.String getKey()

The key or variable name under which the discriminating value should be exported into the host environment.

Returns: